diff --git a/image_field_caption.install b/image_field_caption.install
index e37acb6..16b4932 100644
--- a/image_field_caption.install
+++ b/image_field_caption.install
@@ -58,11 +58,6 @@ function image_field_caption_schema() {
         'type' => 'text',
         'not null' => FALSE,
       ),
-      'caption_format' => array(
-        'type' => 'varchar',
-        'length' => 255,
-        'not null' => FALSE,
-      ),
     ),
     'primary key' => array('field_name', 'entity_type', 'entity_id', 'delta', 'language'),
     'indexes' => array(
@@ -128,11 +123,6 @@ function image_field_caption_schema() {
         'type' => 'text',
         'not null' => FALSE,
       ),
-      'caption_format' => array(
-        'type' => 'varchar',
-        'length' => 255,
-        'not null' => FALSE,
-      ),
     ),
     'primary key' => array('field_name', 'entity_type', 'entity_id', 'revision_id', 'delta', 'language'),
     'indexes' => array(
@@ -205,11 +195,6 @@ function image_field_caption_update_7200() {
         'type' => 'text',
         'not null' => FALSE,
       ),
-      'caption_format' => array(
-        'type' => 'varchar',
-        'length' => 255,
-        'not null' => FALSE,
-      ),
     ),
     'primary key' => array('field_name', 'entity_type', 'entity_id', 'delta', 'language'),
     'indexes' => array(
@@ -275,11 +260,6 @@ function image_field_caption_update_7200() {
         'type' => 'text',
         'not null' => TRUE,
       ),
-      'caption_format' => array(
-        'type' => 'varchar',
-        'length' => 255,
-        'not null' => FALSE,
-      ),
     ),
     'primary key' => array('field_name', 'entity_type', 'entity_id', 'revision_id', 'delta', 'language'),
     'indexes' => array(
@@ -346,7 +326,7 @@ function image_field_caption_update_7201() {
             foreach ($entity->{$field_name} as $langcode => $items) {
               foreach ($items as $delta => $item) {
                 if ($item['fid'] == $row->fid) {
-                  $columns = array('field_name', 'entity_type', 'entity_id', 'revision_id', 'bundle', 'delta', 'language', 'caption', 'caption_format');
+                  $columns = array('field_name', 'entity_type', 'entity_id', 'revision_id', 'bundle', 'delta', 'language', 'caption');
                   list($id, $vid, $bundle) = entity_extract_ids($bundle_type, $entity);
                   $record = array(
                     'field_name' => $field_name,
@@ -357,7 +337,6 @@ function image_field_caption_update_7201() {
                     'delta' => $delta,
                     'language' => $langcode,
                     'caption' => $row->caption,
-                    'caption_format' => filter_default_format(),
                   );
                   $query = db_insert('field_image_field_caption')->fields($columns);
                   $query->values($record);
diff --git a/image_field_caption.module b/image_field_caption.module
index ca56f82..3b1c571 100644
--- a/image_field_caption.module
+++ b/image_field_caption.module
@@ -23,10 +23,10 @@ function image_field_caption_image_formatter($variables) {
   // Now that Drupal has rendered the image, if there was a caption let's
   // render the image and the caption, otherwise just return the already
   // rendered image.
-  if (isset($variables['item']['image_field_caption']) && !empty($variables['item']['image_field_caption']['value'])) {
+  if (isset($variables['item']['image_field_caption']) && !empty($variables['item']['image_field_caption'])) {
     return theme('image_field_caption', array(
       'image' => $image,
-      'caption' => check_markup($variables['item']['image_field_caption']['value'], $variables['item']['image_field_caption']['format']),
+      'caption' => $variables['item']['image_field_caption'],
     ));
   }
   else {
@@ -126,10 +126,9 @@ function image_field_caption_widget_process($element, &$form_state, $form) {
   // Add the additional alt and title fields.
   $element['image_field_caption'] = array(
     '#title' => t('Caption'),
-    '#type' => 'text_format',
-    '#default_value' => isset($item['image_field_caption']) ? $item['image_field_caption']['value'] : '',
+    '#type' => 'textfield',
+    '#default_value' => isset($item['image_field_caption']) ? $item['image_field_caption'] : '',
     '#access' => (bool) $item['fid'],
-    '#format' => isset($item['image_field_caption']['format']) ? $item['image_field_caption']['format'] : NULL,
   );
 
   return $element;
@@ -197,7 +196,7 @@ function image_field_caption_field_attach_update($entity_type, $entity) {
 
     // Prepare the multi-insert query.
     $do_insert = FALSE;
-    $columns = array('field_name', 'entity_type', 'entity_id', 'revision_id', 'bundle', 'delta', 'language', 'caption', 'caption_format');
+    $columns = array('field_name', 'entity_type', 'entity_id', 'revision_id', 'bundle', 'delta', 'language', 'caption');
     $query = db_insert($table_name)->fields($columns);
     $revision_query = db_insert($revision_name)->fields($columns);
 
@@ -216,8 +215,7 @@ function image_field_caption_field_attach_update($entity_type, $entity) {
           'bundle' => $bundle,
           'delta' => $delta,
           'language' => $langcode,
-          'caption' => $item['image_field_caption']['value'],
-          'caption_format' => $item['image_field_caption']['format'],
+          'caption' => $item['image_field_caption']['value'],
         );
         $query->values($record);
         if (isset($vid)) {
@@ -266,12 +264,10 @@ function image_field_caption_field_attach_load($entity_type, $entities, $age, $o
         continue;
       }
 
-      $item['image_field_caption']['value'] = $row->caption;
-      $item['image_field_caption']['format'] = $row->caption_format;
+      $item['image_field_caption'] = $row->caption;
 
       // Add the item to the field values for the entity.
-      $entities[$row->entity_id]->{$row->field_name}[$row->language][$row->delta]['image_field_caption']['value'] = $row->caption;
-      $entities[$row->entity_id]->{$row->field_name}[$row->language][$row->delta]['image_field_caption']['format'] = $row->caption_format;
+      $entities[$row->entity_id]->{$row->field_name}[$row->language][$row->delta]['image_field_caption'] = $row->caption;
     }
   }
 }
@@ -348,7 +348,7 @@ function image_field_caption_field_diff_view_alter(&$values, $items, $context) {
     $values[$delta][] = t('Caption (!text_format):', array('!text_format' => $format_text));
 
     // Allow users to optionally clean system specific characters.
-    $values[$delta][] = diff_normalise_text($item['image_field_caption']['value']);
+    $values[$delta][] = diff_normalise_text($item['image_field_caption']);
   }
 }